### Constructor

# GimpUi ColorProfileComboBox new_with_model

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_color_profile_combo_box_new_with_model (
      GtkWidget* dialog,
      GtkTreeModel* model
    )

#### Description [src]

This constructor is useful when you want to create several combo-boxes for profile selection that all share the same `GimpColorProfileStore`. This is for example done in the GIMP Preferences dialog.

See also gimp_color_profile_combo_box_new().

Available since: 2.4

#### Parameters

`dialog`

  Type: `GtkWidget`

  A `GtkDialog` to present when the user selects the “Select color profile from disk…” item.

  The data is owned by the caller of the function.

`model`

  Type: `GtkTreeModel`

  A `GimpColorProfileStore` object.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GimpColorProfileComboBox`.

The data is owned by the called function.